WebLogicEJB (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicEJB interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicEJB

All Superinterfaces:
  EJB, J2EEComponent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  WebLogicEntityEJB, WebLogicMessageEJB, WebLogicSessionEJB

    public interface WebLogicEJB

extends EJB

Represents a WebLogic Enterprise Java Bean.

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getEJBClass()`
`java.lang.String` | `getHomeClass()`
`java.lang.String` | `getLocalClass()`
`java.lang.String` | `getLocalHomeClass()`
`java.lang.String` | `getRemoteClass()`
`boolean` | `hasEJBClass()`
`boolean` | `hasHomeClass()`
`boolean` | `hasLocalClass()`
`boolean` | `hasLocalHomeClass()`
`boolean` | `hasRemoteClass()`
`void` | `setEJBClass(java.lang.String s)`
`void` | `setHomeClass(java.lang.String s)`
`void` | `setLocalClass(java.lang.String s)`
`void` | `setLocalHomeClass(java.lang.String s)`
`void` | `setRemoteClass(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEComponent
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getEJBClass

    java.lang.String getEJBClass()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEJBClass

    void setEJBClass(java.lang.String s)

### hasEJBClass

    boolean hasEJBClass()

### getHomeClass

    java.lang.String getHomeClass()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHomeClass

    void setHomeClass(java.lang.String s)

### hasHomeClass

    boolean hasHomeClass()

### getRemoteClass

    java.lang.String getRemoteClass()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRemoteClass

    void setRemoteClass(java.lang.String s)

### hasRemoteClass

    boolean hasRemoteClass()

### getLocalHomeClass

    java.lang.String getLocalHomeClass()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLocalHomeClass

    void setLocalHomeClass(java.lang.String s)

### hasLocalHomeClass

    boolean hasLocalHomeClass()

### getLocalClass

    java.lang.String getLocalClass()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLocalClass

    void setLocalClass(java.lang.String s)

### hasLocalClass

    boolean hasLocalClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD